Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Groovy] Class ResolveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.resolve.ResolveException

    class ResolveException
    extends java.lang.RuntimeException

Thrown when dependencies fail to resolve.

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`org.apache.ivy.core.report.ResolveReport` | `resolveReport`

Constructor Summary
`ResolveException(org.apache.ivy.core.report.ResolveReport resolveReport)`

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#wait(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#wait(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Property Detail

### resolveReport

    org.apache.ivy.core.report.ResolveReport resolveReport

Constructor Detail

### ResolveException

    ResolveException(org.apache.ivy.core.report.ResolveReport resolveReport)

Method Detail

### getMessage

    @Override
    java.lang.String getMessage()

Groovy Documentation